Execute Grid Layout

get

/applications/{applicationName}/databases/{databaseName}/grid/layout/{layout}

Renders the grid for the specified layout.

Request

Path Parameters
Query Parameters
Back to Top

Response

200 Response

OK

Grid layout rendered successfully.

400 Response

Bad Request

Validation failed. The application, database, or layout name may be missing or incorrect.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to render the grid from a saved Essbase layout.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

The cURL command requests a grid for the layout saved in the Sample Basic cube as namedlayout1.

call properties.bat
curl -X GET https://myserver.example.com:9001/essbase/rest/v1/applications/SampleG/databases/Basic/grid/layout/namedlayout1 -H "Accept:application/json" -H "Content-Type:application/json" -o grid1.json -u %User%:%Password%

Response Grid

The response object, written to grid1.json, describes the grid that is represented by the sample table.

- - West
- - Actual
- - Profit
Diet Drinks Jul 702
Diet Drinks Aug 753
Diet Drinks Sep 645
Diet Drinks Qtr3 2100

The alias table used in the grid is named Default. Each dimension of the cube is listed in the dimensions object. The slice object describes the number of columns and rows, and the position, values, and types of data cells. Data cell types are 0 for text, 2 for doubles, and 7 for empty.

{
  "alias" : "Default",
  "dimensions" : [ {
    "name" : "Year",
    "row" : -1,
    "column" : 1,
    "pov" : "",
    "hidden" : false,
    "expanded" : false
  }, {
    "name" : "Measures",
    "row" : 2,
    "column" : -1,
    "pov" : "",
    "hidden" : false,
    "expanded" : false
  }, {
    "name" : "Product",
    "row" : -1,
    "column" : 0,
    "pov" : "",
    "hidden" : false,
    "expanded" : false
  }, {
    "name" : "Market",
    "row" : 0,
    "column" : -1,
    "pov" : "",
    "hidden" : false,
    "expanded" : false
  }, {
    "name" : "Scenario",
    "row" : 1,
    "column" : -1,
    "pov" : "",
    "hidden" : false,
    "expanded" : false
  } ],
  "slice" : {
    "columns" : 3,
    "rows" : 7,
    "data" : {
      "ranges" : [ {
        "start" : 0,
        "end" : 20,
        "values" : [ "", "", "West", "", "", "Actual", "", "", "Profit", "Diet Drinks", "Jul", "702.0", "Diet Drinks", "Aug", "753.0", "Diet Drinks", "Sep", "645.0", "Diet Drinks", "Qtr3", "2100.0" ],
        "types" : [ "7", "7", "0", "7", "7", "0", "7", "7", "0", "0", "0", "2", "0", "0", "2", "0", "0", "2", "0", "0", "2" ],
        "texts" : [ null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null ],
        "dataFormats" : [ ],
        "statuses" : [ "0", "0", "402653202", "0", "0", "536870928", "0", "0", "134217746", "268435474", "16", "2", "268435474", "16", "2", "268435474", "16", "2", "268435474", "134", "1" ],
        "filters" : [ ],
        "enumIds" : [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ]
      } ]
    }
  }
}
Back to Top